Skip to main content
Get the internal talent mobility report.
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/reports/internal_talent_mobility \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "max_employees_per_vacancy": 50,
  "employee_columns": [
    {
      "column_name": "dim_column_name",
      "property_name": "dim_property_name"
    }
  ],
  "employee_properties": [
    {
      "property_name": "fact_property_name"
    }
  ],
  "vacancy_columns": [
    {
      "column_name": "dim_column_name",
      "property_name": "dim_property_name"
    }
  ],
  "vacancy_properties": [
    {
      "property_name": "fact_property_name"
    }
  ]
}
'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

force_recalculate
boolean
default:false

Reports are always stored for a certain time, and if this endpoint is called again within that time, the stored report is returned without recalculating. If force_recalculate is set to true, the report is recalculated and the stored report is overwritten.

Body

application/json

Filters for the Skill inventory report.

max_employees_per_vacancy
number
required

The max number of Employees that will be matched for each Vacancy.

Required range: 1 <= x <= 100
Example:

50

employee_columns
object[]

The Custom Property columns that will be included in the dim_employee.csv file.

employee_properties
object[]

The Custom Properties that will be included in the fact_employee_properties.csv file.

vacancy_columns
object[]

The Custom Property columns that will be included in the dim_vacancy.csv file.

vacancy_properties
object[]

The Custom Properties that will be included in the fact_vacancy_property.csv file.

Response

OK.

The response is of type file.